<?php
/*
Plugin Name: تبلیغ برگه ای
Description: این افزونه به زیبایی و آسانی هرچه تمام تر کار یک تبلیغ بسیار جالب را انجام می دهد.
Version:1.0.0
Author: www.scriptcamp.ir
Author URI: http://www.scriptcamp.ir
*/


//use jquery and our js
wp_register_script($handle = 'cornerpeel', $src = plugins_url('code.js', __FILE__), $deps = array(), $ver = '1.0.0', $media = 'all');
wp_enqueue_script( 'cornerpeel' );
//wp_enqueue_script('cornerpeel',"/wp-content/plugins/cornerpeel/code.js", array('jquery')); // will use jquery

add_action('wp_head', 'cornerpeelAddHeaderCode'); // limited availability (check per theme)
add_filter( "the_content", "cornerpeelcontent"); 



function cornerpeel_pages() {
	    add_options_page('برگه گوشه تبلیغاتی', 'برگه گوشه تبلیغاتی', 5, 'cornerpeelsettings', 'cornerpeelsettings');
	}

function cornerpeelAddHeaderCode() {
                $here = dirname(__FILE__); //C:\webroot\abc\wordpress\wp-content\plugins\expand
                $urlpath =  get_bloginfo('wpurl') . '/wp-content/plugins/cornerpeel';
                
                $click_url = get_option('cornerpeel_url');
                if($click_url === false) $click_url = "";
                $click_url = str_replace("'","",$click_url);

                echo
                 "
                 <script>
                      var cornerpeelLink = '$click_url';
                      var cornerpeelUrlRoot = '$urlpath';
                 </script>
                 <style>
 
					#cornerpeel-bg {background: top right no-repeat url($urlpath/large.jpg); position: absolute; right:0px; top: 0px;width: 0px; height: 0px; z-index:9900;}
					#cornerpeel-tiny {background: top right no-repeat url($urlpath/small.jpg); position: absolute; right: 0px; top:0px;width: 0px; height: 0px; z-index:9901;}
					#cornerpeel-peel {position: absolute; right:0px; top: 0px;width: 0px; height: 0px; z-index: 9902;}
					#cornerpeel-peel-cover {position: absolute; right:0px; top: 0px;width: 0px; height: 0px; z-index: 9910; cursor: pointer; background: white;}
					#cornerpeel-peel img {width: 100%; height: 100%;border: none;}
					#cornerpeel-peel-image-ie {width:100%; height:100%; background:transparent url('$urlpath/peel.png') no-repeat;
						 /* IE hack */
						 background:none\9; /* Targets IE only */
						 filter:progid:DXImageTransform.Microsoft.AlphaImageLoader(src='$urlpath/peel.png', sizingMethod='$urlpath/scale');}
				 
                      </style>
                 ";
        }


function cornerpeelsettings()
{
$here = dirname(__FILE__);
$urlpath =  get_bloginfo('wpurl') . '/wp-content/plugins/cornerpeel';

$p = $_POST;
if(isset($p['cornerpeel_url']))  update_option('cornerpeel_url',$p['cornerpeel_url']);

	
$click_url = get_option('cornerpeel_url');
if($click_url === false) $click_url = "http://www.google.com/";
$_click_url = htmlentities($click_url);


//files
if($_FILES['cornerpeel_small']['size'] > 0)
  {
  $fn = $_FILES['cornerpeel_small']['tmp_name'];
  move_uploaded_file($fn, "$here/small.jpg");
  }
  
if($_FILES['cornerpeel_large']['size'] > 0)
  {
  $fn = $_FILES['cornerpeel_large']['tmp_name'];
  move_uploaded_file($fn, "$here/large.jpg");
  }
  

echo "<h1>تنظیمات برگه تبلیغاتی</h1>";
echo "<form enctype='multipart/form-data' method='post' action='$url'>";
echo "<input type='hidden' name='MAX_FILE_SIZE' value='1000000' />";
echo "آدرس مورد نظر <input type='text' name='cornerpeel_url' value='$_click_url'>";
echo "<p>small .jpg (85x85): <input name='cornerpeel_small' type='file' /></p>";
echo "<p>big .jpg (750x750): <input name='cornerpeel_large' type='file' /></p>";

echo "<p><input type='submit' name='update' class='button-secondary' value='ذخیره تنظیمات'></p>";
echo "</form>";
echo "<hr";
echo "<h2>کوچک 85 در 85</h2><br>";
echo "<img src='$urlpath/small.jpg'>";
echo "<h2>بزرگ 750 در 750</h2>";
echo "<img src='$urlpath/large.jpg'>";
}

//<form enctype="multipart/form-data" action="uploader.php" method="POST">
//<input type="hidden" name="MAX_FILE_SIZE" value="100000" />
//Choose a file to upload: <input name="uploadedfile" type="file" /><br />
//<input type="submit" value="Upload File" />


function cornerpeelcontent($c)
{
	return $c;
}


add_action('admin_menu', 'cornerpeel_pages');
?>
